# NSIS package instructions (Windows)

## Third-party Libraries:

Download TerraLib's third-party precompiled libraries: 
* [Windows 10 (x64) MSVC 12 - TerraLib Thirdparty Binaries](http://www.dpi.inpe.br/terralib5-devel/3rdparty/bin/terralib5-3rdparty-msvc-2013-win64.zip)

Then extract the contents of the downloaded ``zip`` in an easily accessible location.

Download and install the **NSIS** program on your system. And to make it easy the package generation, be sure to add to the system's ``PATH`` the third-party libraries path, Qt executables path, and CMake executables path.


## TerraLib Package:

To generate the TerraLib package first open the ``nsis-terralib.bat`` script and check if the variables set at the beginning are according to your environment.
Then just execute the script:
 
```shell
 $ nsis-terralib.bat
```

Which automatically:
* Create a build folder;
* Configure CMake properly for generation;
* Perform the TerraLib build and package generation by CPack;
* Perform the installation of TerraLib in the path of the third-party libraries (this installation can be used in the generation of other Windows packages that use TerraLib).
